Package ghidra.app.util.bin.format.pe.cli

# Interface CliRepresentable

All Known Implementing Classes:
  `CliAbstractSig`, `CliAbstractSig.CliByRef`, `CliAbstractSig.CliConstraint`, `CliAbstractSig.CliCustomMod`, `CliAbstractSig.CliParam`, `CliAbstractSig.CliRetType`, `CliAbstractSig.CliSigType`, `CliAbstractSig.CliTypeArray`, `CliAbstractSig.CliTypeBase`, `CliAbstractSig.CliTypeClass`, `CliAbstractSig.CliTypeFnPtr`, `CliAbstractSig.CliTypeGenericInst`, `CliAbstractSig.CliTypePrimitive`, `CliAbstractSig.CliTypePtr`, `CliAbstractSig.CliTypeSzArray`, `CliAbstractSig.CliTypeValueType`, `CliAbstractSig.CliTypeVarOrMvar`, `CliAbstractTableRow`, `CliSigAssembly`, `CliSigAssemblyRef`, `CliSigConstant`, `CliSigField`, `CliSigLocalVar`, `CliSigMethodDef`, `CliSigMethodRef`, `CliSigMethodSpec`, `CliSigProperty`, `CliSigStandAloneMethod`, `CliSigTypeSpec`, `CliTableAssembly.CliAssemblyRow`, `CliTableAssemblyOS.CliAssemblyOSRow`, `CliTableAssemblyProcessor.CliAssemblyProcessorRow`, `CliTableAssemblyRef.CliAssemblyRefRow`, `CliTableAssemblyRefOS.CliAssemblyRefOSRow`, `CliTableAssemblyRefProcessor.CliAssemblyRefProcessorRow`, `CliTableClassLayout.CliClassLayoutRow`, `CliTableConstant.CliConstantRow`, `CliTableCustomAttribute.CliCustomAttributeRow`, `CliTableDeclSecurity.CliDeclSecurityRow`, `CliTableEvent.CliEventRow`, `CliTableEventMap.CliEventMapRow`, `CliTableExportedType.CliExportedTypeRow`, `CliTableField.CliFieldRow`, `CliTableFieldLayout.CliFieldLayoutRow`, `CliTableFieldMarshall.CliFieldMarshallRow`, `CliTableFieldRVA.CliFieldRVARow`, `CliTableFile.CliFileRow`, `CliTableGenericParam.CliGenericParamRow`, `CliTableGenericParamConstraint.CliGenericParamConstraintRow`, `CliTableImplMap.CliImplMapRow`, `CliTableInterfaceImpl.CliInterfaceImplRow`, `CliTableManifestResource.CliManifestResourceRow`, `CliTableMemberRef.CliMemberRefRow`, `CliTableMethodDef.CliMethodDefRow`, `CliTableMethodImpl.CliMethodImplRow`, `CliTableMethodSemantics.CliMethodSemanticsRow`, `CliTableMethodSpec.CliMethodSpecRow`, `CliTableModule.CliModuleRow`, `CliTableModuleRef.CliModuleRefRow`, `CliTableNestedClass.CliNestedClassRow`, `CliTableParam.CliParamRow`, `CliTablePropertyMap.CliPropertyMapRow`, `CliTableStandAloneSig.CliStandAloneSigRow`, `CliTableTypeDef.CliTypeDefRow`, `CliTableTypeRef.CliTypeRefRow`, `CliTableTypeSpec.CliTypeSpecRow`

public interface CliRepresentable
Describes the methods necessary to get a long and short representation, with or without an metadata stream. This is used in the token analyzer to cut down on duplication across modules.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getRepresentation()`
  `String`
  `getRepresentation(CliStreamMetadata stream)`
  `String`
  `getShortRepresentation()`
  `String`
  `getShortRepresentation(CliStreamMetadata stream)`

- ## Method Details

  - ### getRepresentation

    String getRepresentation()

  - ### getShortRepresentation

    String getShortRepresentation()

  - ### getRepresentation

    String getRepresentation(CliStreamMetadata stream)

  - ### getShortRepresentation

    String getShortRepresentation(CliStreamMetadata stream)